commit 4f08e83e50059df494f5f53cd05eb8809d18656e
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:22:40 2009 +1000

    mach64: change to using ABI version check

commit 64960253ea5dcfb01d92b5b684790f16be5b73be
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:32:31 2009 +1000

    mach64: update for resources/RAC API removal

commit 965614f27d42106e859000264a6eb89d9fcba67e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 16 11:43:33 2009 +1000

    Update to xextproto 7.1 support.
    
    DPMS header was split into dpms.h (client) and dpmsconst.h (server). Drivers
    need to include dpmsconst.h if xextproto 7.1 is available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9caef14defaf892d957875f6d774003a036bad45
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon May 11 22:06:40 2009 -0700

    Fill in COPYING file, add SubmittingPatches URL to README

commit d9d787167795862909738892195fcdc751c413ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sun May 10 16:56:02 2009 -0700

    Doublecheck pictFormat is a supported format
    
    Fixes these warnings from parfait source checker:
    
    Error: Read buffer overflow at src/atimach64render.c:601
    	in function 'Mach64PrepareTexture' [Symbolic analysis]
           In array dereference of Mach64TexFormats[i] with index 'i'
           Array size is 6 elements (of 12 bytes each), index >= 0 and index <= 6
    Error: Read buffer overflow at src/atimach64render.c:712
    	in function 'Mach64PrepareComposite' [Symbolic analysis]
           In array dereference of Mach64TexFormats[i] with index 'i'
           Array size is 6 elements (of 12 bytes each), index >= 0 and index <= 6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 99db87ed49d7eca8de2ff1f7d53b580637ebb916
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 29 17:32:47 2009 -0700

    Version 6.8.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 193744b015e8f2b8c25d90094b7f0b502bc1287b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 29 17:21:53 2009 -0700

    Convert to XORG_CWARNFLAGS & XORG_CHANGELOG
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d394e0b8269ea0a7d36ee8edb38947df170399c9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:41:43 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit cab7a47477e3878cb9f1fdc5b721fc8e3aaadd5b
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Fri Nov 28 01:09:52 2008 -0200

    Remove xf86{Disable,Enable}Interrupts
    
      They were already a noop in most "os-support"s, and are no longer
    available in the X Server.

commit e993728f7ee618d34163c127231881aec1637ca2
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Oct 3 14:31:13 2008 -0400

    Don't print the resource list on failure.
    
    If this ever happens it should be printed from the server at any rate.

commit 46a0254b5a0bffe8c57322b085bcd38f893e4b27
Author: Aaron Plattner <aplattner@nvidia.com>
Date:   Tue Sep 9 10:32:48 2008 -0400

    Make sure the screen is a mach64 screen before doing anything in ATIMach64XVInitialiseAdaptor.

commit 89a9ad75f3e50e25275b803617d5e74709ead269
Author: Yi Zhan <yi.zhan@intel.com>
Date:   Wed Mar 26 16:13:08 2008 +1000

    mach64: on IA64 systems the pciaccess page size mapping was getting E2BIG
    
    As the ia64 pagesize was 16k, and aperture was only 4k, this was messing up
    on ia64 machines.
    
    Modified fix from RH BZ 438947 - airlied

commit 6127349c9625ae3b50c40fd3641847be3ca18795
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Wed Mar 19 17:42:23 2008 -0400

    [PATCH] Compile warning fixes.
    
    Add missing prototypes to atimach64accel.h.

commit 56a1c9f07886d40c25baa31b6d02f5ee0efd749a
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:49:50 2008 +0200

    add warning message

commit 10127a10841ec211a92b2a59d6db716343caf018
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:49:31 2008 +0200

    change module name and version
    
    module gets package version, driver keeps its own version

commit e8260479e8c9f0445d160e991104b3a749035a7b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:49:02 2008 +0200

    drop r128

commit 4d3a3befcfcfff3825ad4de166de2090aa1c9976
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:48:44 2008 +0200

    drop r128 (build system)

commit df574b7b486be6b00520c6a87dc3f606b4c5395c
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:48:26 2008 +0200

    drop ati wrapper

commit 4d5cc3678ac8d1e8ed18d72d26154494bf1e75e5
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:48:10 2008 +0200

    drop AtomBios and pcidb

commit 713a2241495b9a3818c06974838477d9f28fe52b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:47:45 2008 +0200

    drop radeon, theatre

commit 403cb9e89fc9c82d7f1b21997e7deba6bc0fbcea
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Feb 27 18:45:21 2008 +0200

    drop radeon, theatre (build system).

commit 68888189cf8d460ef6f8f2f1431a6ffe9fcd8134
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Feb 27 03:09:28 2008 -0500

    RADEON: fix textured video uploads

commit 7cfad216a3f1486be194c972b9b6bcf070358586
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Feb 27 02:13:10 2008 -0500

    RADEON: fix clipping for textured video

commit a2dca1d68d751def34ef3c6f836574173737bf76
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 16:38:29 2008 -0500

    RADEON: Convert textured video to use pipelined uploads

commit b4fa1ce9d2da04d94521a82d3c2e95f0fe985ccc
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 14:45:25 2008 -0500

    R300/R500: fix up clipping
    
    Based on patch from Peter Zubaj.

commit 44e527a117ab0a363135ff066c7f7e0c12e3dc89
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 14:33:24 2008 -0500

    R300: fix cordinate clamping in render code
    
    Based on Peter's fix for textured video

commit 00ec17ad53d7ad43f19c9b723794ac1b8ef86826
Author: Peter Zubaj <pzubaj at marticonet.sk>
Date:   Tue Feb 26 14:26:14 2008 -0500

    R300: Fix clamping and pitch for textured video

commit 4207793f9b6c891cb17ba715223d2002668885e3
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 13:16:22 2008 -0500

    R300/R500: set the number graphics pipes properly
    
    This should fix the checkerboard issues on r300/r350 cards.

commit 823d8bf49e4c0a8c839354179942c5a1944c178d
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 26 12:25:14 2008 -0500

    R300/R500: clean up magic numbers in textured video

commit 8ea75b268f11794f4a7e7bac52cb256490ed3fd2
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Feb 26 16:29:19 2008 +1000

    regs: fix spelling properly

commit f2816064a6c2c4c35ccba74b9aa80547e25c012e
Author: Dave Airlie <airlied@linux.ie>
Date:   Tue Feb 26 16:28:24 2008 +1000

    regs: fix spelling mistake
    
    pointed out by plaes on irc

commit 9d2ca30b90607085578dde1f314db663bd5f82ec
Author: Alex Deucher <alex@samba.(none)>
Date:   Mon Feb 25 17:34:00 2008 -0500

    R300/R500: clean up magic numbers in render code

commit 153ad6fcf704cbf9f811d9986cd4baf04e82c9d2
Author: Dave Airlie <airlied@linux.ie>
Date:   Mon Feb 25 07:10:48 2008 +1000

    fixup check for EXA composite pointed out by Alan Swanson

commit 85e470e64f629de72e361c77770e2e29998d1bf4
Merge: 27ddb39... 1b84c76...
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 05:37:22 2008 -0500

    Merge master and fix conflicts
    
    Merge branch 'master' of ssh://agd5f@git.freedesktop.org/git/xorg/driver/xf86-video-ati
    
    Conflicts:
    
    	src/radeon_commonfuncs.c

commit 27ddb39b12a0b54e099fd5274c4c91f08e2d2822
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 05:30:11 2008 -0500

    R300: clean up magic numbers in RADEONInit3DEngine

commit d4c20f33ad6a1f88615cd7e09ad3638896873f9e
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 04:46:10 2008 -0500

    R300: replace magic numbers in cache flush

commit e52f1c8d2647b81d891ec0728dd582941a76c83f
Author: Alex Deucher <alex@samba.(none)>
Date:   Sun Feb 24 04:43:18 2008 -0500

    R300: fill in some more 3D bitfields

commit 1b84c76f27c8d24cb42beae26abf000721901c1c
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun Feb 24 19:20:36 2008 +1100

    rs690: initial textured video support

commit 68158124366db883a901e960fe5f05f8df5efa42
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Feb 19 19:51:18 2008 +1100

    rs690: initial rs690 rotate
    
    suffers same problem as r500 with clipping

commit e614bb6965588bf09dcb87f5e08e67120ec9847f
Author: Dave Airlie <airlied@redhat.com>
Date:   Sun Feb 24 01:46:05 2008 -0500

    r500: convert fragprog to use register values

commit 6ce9ee47c75620b2e5d211c5d59d17271a6a7b19
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 23 22:49:34 2008 -0500

    r500: add textured video Xv adapter support

commit 9aaf8b33b22b6ba112869558ae54e021b9487ad2
Author: Dave Airlie <airlied@redhat.com>
Date:   Sat Feb 23 22:16:25 2008 -0500

    r500: initial rotate support - not fully working yet.
    
    Just an example of how to setup and run the r500 3D engine for rotation.
    this rotates for me but I get some strange clipping on the bottom of my screen

commit 05dc3e4fc19d056ce99a7b110665adab2ca1ea21
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 20:29:51 2008 -0500

    Clarify R500 US setup.

commit 080606ad528972623e1ed1124d8efe7705a73446
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 20:21:17 2008 -0500

    Add the R500 US index/data pair.

commit edfb3b6bbf0ee17ace8e6ba704a6f54e249fec63
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:59:33 2008 -0500

    RADEON: no textured video yet on XPRESS chips
    
    Still need to sort out the VAP and PVS stuff

commit 4146bfe5d00e40a86d17826fac50d04b2469621d
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:21:52 2008 -0500

    R500: fix typo in new r5xx regs

commit d9be9f34b0d3313e7b22b2a8bb0a8924ad3116bf
Author: Alex Deucher <alex@samba.(none)>
Date:   Sat Feb 23 19:06:30 2008 -0500

    RADEON: add textured video support for r1xx-r4xx radeons
    
    Based on the kdrive ati video code by Eric Anholt.
    R3xx/R4xx still have some clipping issues in certain situations

commit 9dc4acad79196e9d5d94dd710773bfa83456d47f
Author: Alex Deucher <alex@cube.(none)>
Date:   Sat Feb 23 18:29:00 2008 -0500

    RS6xx: gpio entry for DDIA varies depending on the number of DFP ports

commit ed0a93edf28155308e7ab9d8705581bb38455ea0
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 15:02:17 2008 -0500

    Fix R500_US_CONFIG.

commit bc2bd6f841b51aeed3b6b4a47dbe758c200bc5a6
Author: Adam Jackson <ajax@redhat.com>
Date:   Sat Feb 23 14:34:18 2008 -0500

    Add R500 unified shader register block.

commit a7b5c3bb74fc4de5e38a75ac31656445ce823464
Author: Alex Deucher <alex@cube.(none)>
Date:   Fri Feb 22 19:35:11 2008 -0500

    RS6xx: fix DDC on DDIA output (usually HDMI port)

commit 3327a681e21101cc6f6e162f4e29f9937b69ccc3
Author: Alex Deucher <alex@cube.(none)>
Date:   Fri Feb 22 17:05:56 2008 -0500

    ATOM: properly set up DDIA output on RS6xx boards

commit 1d0e9ab8b9451101b1b91943546f6c5833c21b3f
Author: Michel Dänzer <michel@tungstengraphics.com>
Date:   Wed Feb 20 10:21:49 2008 +0100

    radeon: Fix typo flagged by gcc -Wall.

commit b5bd442b60dbc72fe4c1e928ab864aeb0fd7a3cb
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 20:47:40 2008 -0500

    R100: fix render accel for transforms
    
    Not sure why we had a separate broken path for r100 vertex
    submission.

commit a0a73208a21546ac120fb9a463261836c9ea7b55
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 20:11:19 2008 -0500

    RADEON: restore clock gating and CP clock errata on VT switch
    
    This may help people with hangs on resume

commit b77e2aff7453a9f370beba37ca3c25b92b3f97ff
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 19:55:41 2008 -0500

    RADEON: fix DDC types 5 and 6

commit af82172a82f2bdf96e571def659a1c70f92dfdbf
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 19:39:35 2008 -0500

    RADEON: update man page with supported chips

commit 1302d1b019c8091986aaf9c86b25c1f36a037788
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Feb 19 00:34:31 2008 -0500

    Bump for 6.8 release

commit 830d29e8b280c11e798fb5bf5278bf24ecbac7bf
Author: Alex Deucher <alex@cube.(none)>
Date:   Mon Feb 18 21:17:12 2008 -0500

    ATOM: fix RS6xx connector table parsing and fix some warnings

commit 03aa4cc6d6e8c715a1c1d677cc1845223505b358
Author: Roland Scheidegger <sroland@tungstengraphics.com>
Date:   Mon Feb 18 20:19:58 2008 -0500

    bring back to life planar-to-packed conversion for rs4xx
    
    Here's a patch to bring back the code for converting planar yuv to packed yuv,
    if a RS400 family chip is used (though I've no idea if they really all fail
    with planar yuv).
    
    fixes bug 12744

commit 66b0b3f43bb714bc007169d5ba6dabe34cfc008b
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Mon Feb 18 10:33:59 2008 +0200

    r128/radeon: probably correct fix for non pci access code

commit d055b9e800ae50d08cca9db75fc666ce1da9ab52
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat Feb 16 09:13:43 2008 +1000

    r128/radeon: hopeful fix for non pci access code

commit c773bc6a314327da29e21e4ebac6fa7f3e98a0a7
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat Feb 16 09:05:07 2008 +1000

    r128/radeon: fix build without pciaccess

commit 690a52da5248f47a587a878d05fce9784957970b
Author: Dave Airlie <airlied@linux.ie>
Date:   Sat Feb 16 08:33:36 2008 +1000

    mach64: fix non pciaccess build

commit fc85188fd95bf78b7f965cdde3e22b644c74ff81
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:36:10 2008 +0200

    ati: convert to pci probe
    
    add pciids for each subdriver, make no use of the match_data functionality.
    
    thanks to Alex Deucher for reviewing and testing.

commit 665bd7e2f61cac3e029bbad5024034e5136deec1
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:34:56 2008 +0200

    ati wrapper: translate Device lines

commit a596c1618f72179a45289a50a1f9e89462ce9667
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:34:31 2008 +0200

    r128: do not compile in PciChipsets twice

commit 99cd8ff9a7e15fc2b4e55f8bc020f584173a8c2d
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:33:51 2008 +0200

    ati: drop duplicate pci-id defines

commit 146b01b51069dc227d0b125babb3f6957c9b9de2
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:33:29 2008 +0200

    mach64: clean probe a little
    
    do not report I/O ports now, they are reported later.

commit f47d461331a032f9bdcf6f63336e848778cec6cc
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 15 18:32:56 2008 +0200

    mach64: minor cosmetic, I2C type

commit 2c66f2e812195167df9ca113044d46deece776ac
Author: Dave Airlie <airlied@clockmaker.usersys.redhat.com>
Date:   Fri Feb 15 10:59:30 2008 +1000

    make distcheck pass

commit ed87f367ddab7366f84917b43b31d76df4ce1110
Author: Alex Deucher <alex@botch2.(none)>
Date:   Wed Feb 13 12:53:46 2008 -0500

    RADEON: disable LVDS if panel size is 0x0
    
    if we can't get the panel size from the bios or edid
    or a user specified option, assume it's not connected.

commit 422d7f441fdbb318d22d44db661ac9bd61387bd2
Author: Alex Deucher <alex@cube.(none)>
Date:   Tue Feb 12 15:35:46 2008 -0500

    R6xx: when both crtcs are in use make sure they are both enabled
    
    sometimes setting a mode on one crtc can cuase a blank screen on the other.
    make sure they are both enabled if they should be.

commit 860f5af75274cb236f536e1da09da6bd9a579530
Author: Alex Deucher <alex@cube.(none)>
Date:   Tue Feb 12 14:46:49 2008 -0500

    R6xx: fix up use of bios scratch regs to reflect the new offsets

commit 32f2119b43a0faf6069d8cc0816f0d9f7914c07f
Author: Alex Deucher <alex@cube.(none)>
Date:   Tue Feb 12 14:20:02 2008 -0500

    R6xx: bios scratch regs moved.

commit 8d64be6ebd7f50d4bcb587afeee8252c1367dc77
Author: Alex Deucher <alex@samba.(none)>
Date:   Tue Feb 12 12:53:09 2008 -0500

    RADEON: make sure we always set up the FP crtc shadow registers for crtc0
    
    The behavior changed when I added rmx center mode support.  In cases where
    crtc0 drives a DAC this can lead to a blank screen.

commit 810d192ee046077a894e0fb5f2dfd6a7c0130766
Author: Alex Deucher <alex@cube.(none)>
Date:   Mon Feb 11 19:23:01 2008 -0500

    R6xx: add missing objects

commit 85043439426e534e561259ce98bebdd8508b36a9
Author: Alex Deucher <alex@botch2.(none)>
Date:   Mon Feb 11 16:36:58 2008 -0500

    R6xx: make sure we set up the HDP base properly

commit 9ab5d2ec7c583c74f364d7cfbb54bcd2cd8ae2f5
Author: Alex Deucher <alex@botch2.(none)>
Date:   Mon Feb 11 15:26:51 2008 -0500

    RADEON: always restore crtc1 before crtc0 when using both crtcs
    
    In some rare cases restoring crtc0 first will result in a blank screen
    on crtc1.  If you are having issues with a blank screen on crtc1
    that used to work on 6.6.3 or before, this should help.

commit e33edca75bd9df0aa19a33e74c38a6d02610befd
Author: Alex Deucher <alex@botch2.(none)>
Date:   Mon Feb 11 00:33:12 2008 -0500

    RADEON: Implement proper (hopefully) BIOS/DRIVER interaction for ATOM bios
    
    Tested on atom-based Desktop cards.  It'd nice to get some testing
    on atom-based laptops.

commit 6524e33435a786f7de0064cdd1b04c1120d21593
Author: Alex Deucher <alex@botch2.(none)>
Date:   Sun Feb 10 18:52:52 2008 -0500

    RADEON: Implement proper (hopefully) BIOS/DRIVER interaction for COM bios
    
    Tested on my M10-based laptop.

commit 8606c1bd175893c77e8c758246a1aed166c8be51
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 8 19:07:03 2008 +0200

    mach64: factor out BIOS panel info parsing

commit 9f33218c80f5a6d6d9464aa3db8ae25a4759f351
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 8 19:06:41 2008 +0200

    mach64: minor cosmetic, LCD panel id

commit 8cd5a465a03834b4b2f3a19f8d36fc9d2e18c6d4
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Feb 8 19:06:27 2008 +0200

    mach64: minor cosmetic, DAC type

commit 7f4db96123fdcba9874226352802d702c2a498bd
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Feb 8 10:47:10 2008 +1000

    add rv670 pciids

commit e8899b9978291c62a65f468c92f340f65ad5479d
Author: Alex Deucher <alex@botch2.(none)>
Date:   Thu Feb 7 19:27:38 2008 -0500

    R6xx: fix ddc after my i2c rework
    
    Seems r6xx does something different for its i2c table,
    revert to the old behavior for now.

commit 435de6c4e46ff2bebd4cee58888a66b936cd3fdf
Author: Alex Deucher <alex@samba.(none)>
Date:   Thu Feb 7 19:14:13 2008 -0500

    RADEON: sync up with latest upstream versions
    
    atombios.h
    ObjectID.h

commit 692789a293970f70b88ccb6adcf0676d8b495ae2
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:03:37 2008 +0200

    mach64: factor out BIOS multimedia parsing

commit 933328ffd6d1d872a18d3de8624c4df845a64588
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:03:03 2008 +0200

    mach64: complement hint for sparc

commit 956c8c81f3ff434930a0cb17b027b2f8e4eeabb2
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:02:31 2008 +0200

    mach64: consolidate refclk #2

commit dce4cc26a8e2bf53805ec63763243f3ff6b4a6d3
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:02:17 2008 +0200

    mach64: consolidate refclk #1

commit f7ed807f0d82a7446ebc4acdd4e94df44a675f19
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:01:59 2008 +0200

    mach64: cosmetic

commit cda1cd198f33c26ef1b51532a2126468369743b8
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:01:33 2008 +0200

    mach64: factor out BIOS clock parsing

commit 73ff279469be9c7cbf9f533b85fcb553694ff413
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Thu Feb 7 18:00:55 2008 +0200

    mach64: BIOSBase is no longer used

commit caea326cc6f1932bb299f451be013651a5749ea7
Author: Dave Airlie <airlied@linux.ie>
Date:   Wed Feb 6 06:36:13 2008 +1000

    r300: move fragprog setup code to prepare composite for now

commit 470cd6a401c6a3e8fea981a8fe97c28be3cfb81d
Author: Dave Airlie <airlied@linux.ie>
Date:   Wed Feb 6 06:04:13 2008 +1000

    r300: remove r300 specific vertex emission
    
    Set the vertex and fragment engine to expect the mask coords.

commit f65e8dfac23adfa199026765fe3a1ea08cf4da67
Author: Alex Deucher <alex@cube.(none)>
Date:   Sun Feb 3 00:09:59 2008 -0500

    RADEON: rework i2c handling
    
    Split out clk, data, and lock regs and masks.  some cards use different
    regs and masks for each.  For cards with ATOMBIOS, use the i2c bios
    table to grab the i2c data.

commit a38a903debc0a50dbc73f59dc2741bbea76d2bd9
Author: Alex Deucher <alex@t41p.hsd1.va.comcast.net>
Date:   Fri Feb 1 02:59:07 2008 -0500

    RADEON: don't restore LVDS_PLL_CNTL for now
    
    seems to cause problems with resume for some users.
    this needs further investigation.
    see bug 12596

commit 5d7bea2b62c86868baf1960665a40249a43bafc5
Author: Alex Deucher <alex@t41p.hsd1.va.comcast.net>
Date:   Fri Feb 1 02:53:22 2008 -0500

    RADEON: remove redundant RADEONDisableDisplays()
    
    use RADEONBlank() instead

commit 73b437ce232c94c0067a0d2f70538b6e1e8c07a7
Author: Alex Deucher <alex@t41p.hsd1.va.comcast.net>
Date:   Fri Feb 1 02:47:06 2008 -0500

    RADEON: remove unused "aspect" scaler option

commit f1fb9e4daa29bc379f653f847254db1496b625fd
Author: Alex Deucher <alex@t41p.hsd1.va.comcast.net>
Date:   Fri Feb 1 02:39:18 2008 -0500

    RADEON: Implement "center" mode for RMX on legacy radeons

commit bcd590103e04bfdb4f12413beacebf344f07e88e
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Jan 29 12:12:54 2008 -0500

    RADEON: update man page to reflect AGP 1x default revert

commit 09348a83d06ba9d3129499c4daedd44a68771530
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Jan 29 12:09:24 2008 -0500

    Seems the default is more reliable... we can't win.
    
    Revert "radeon: Default to 1x again with non-v3 AGP cards."
    
    This reverts commit b653e5a628bfa4dfb168e96f93f41eb910f409fb.

commit 0c26806245381b925b73ff9f3b747e3dcf0ebd6f
Author: Alex Deucher <alex@botch2.(none)>
Date:   Tue Jan 29 10:26:48 2008 -0500

    RADEON: Add new RV380 pci id
    
    bug 14289

commit ce77ed78a877023da72dbe51609aef9a07e250b1
Author: Maciej Cencora <m.cencora@gmail.com>
Date:   Mon Jan 28 19:02:56 2008 -0500

    RS690: Implement MC idle check

commit b7de4ff52cfbdd85ee65000613632e21b92af24e
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Jan 26 19:28:05 2008 +0200

    mach64: add hint for sparc and minor cosmetic.

commit 09d713aa0ed6367b4457420b3c2832fe8eca9b00
Author: Alex Deucher <alex@botch2.(none)>
Date:   Wed Jan 23 18:05:41 2008 -0500

    Revert "RADEON: adjust PAL mode hstart"
    
    This reverts commit 719a9a376e34d99032af75e3f7b002670ccb816b.
    
    This breaks TV out on some cards.

commit 719a9a376e34d99032af75e3f7b002670ccb816b
Author: Alex Deucher <alex@botch2.(none)>
Date:   Sun Jan 20 18:40:53 2008 -0500

    RADEON: adjust PAL mode hstart
    
    Most people seem to get a more aligned picture with this setting

commit b2db8657fb888cff6d64c6dcb182caac389776ce
Author: Alex Deucher <alex@botch2.(none)>
Date:   Sun Jan 20 18:33:22 2008 -0500

    RADEON: re-work i2c for DDC
    
    Unify the radeon/avivo paths and grab the data/clk masks from bios
    if available

commit a43003b24022a833e604f41b2873c0350b34181c
Author: Alex Deucher <alex@botch2.(none)>
Date:   Sat Jan 19 18:49:53 2008 -0500

    RADEON: get dac2 adj values from the bios tables

commit d4596c52ac9994be26e9ec2d7d57b3892c34abdb
Author: Alex Deucher <alex@botch2.(none)>
Date:   Sat Jan 19 17:17:26 2008 -0500

    RADEON: grab pll_in_min/pll_in_max from bios tables if available

commit 9a0947c812d0d38d1bca6a91140ac210831a6cb4
Author: Alex Deucher <alex@botch2.(none)>
Date:   Sat Jan 19 13:57:50 2008 -0500

    ATOM: Use LVDS edid from bios if available

commit 7238258c12def8ef273e5362f716d165f720c5a5
Author: Kusanagi Kouichi <slash@ma.neweb.ne.jp>
Date:   Sat Jan 19 15:04:21 2008 +0100

    radeon: Partial fix for XVideo RGB image distortions.

commit 32be3cf9d6c34e60ff8c3d6cfe9f73f1869c50e4
Author: Brice Goglin <Brice.Goglin@ens-lyon.org>
Date:   Fri Jan 18 14:42:14 2008 -0500

    RADEON: print the name of the output when printing the EDID

commit 4ba9430ee97dbce8f77db8de6ce9b753a75e453d
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Jan 18 18:18:18 2008 +0200

    mach64: workaround for corruption at upper-left
    
    commit possible workaround, it's reported multiple times ...

commit 12c00111b68c9cf4872a424258c6f8b7247aac47
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Fri Jan 18 18:17:40 2008 +0200

    use stand-alone drivers for each chip family.
    
    Do not load the ati wrapper when the user specifies the sub-driver name in
    the Driver line of xorg.conf.  Also, for -configure cause the wrapper to fail
    and let each sub-driver speak for themselves.

commit 24c7d134cd450f9e2cca85e4a2fc3253d250be04
Author: Alex Deucher <alex@botch2.(none)>
Date:   Fri Jan 18 09:50:38 2008 -0500

    RADEON: make sure EXA Composite is actually disabled on XPRESS chips.

commit eaf425436008092abe81208321a2b3b6698a5d79
Author: Dave Airlie <airlied@redhat.com>
Date:   Fri Jan 18 20:11:57 2008 +1000

    fixup register 6594 save/restore

commit 2a89a31481d71a56a9930073cf99d3ae7b4290e1
Author: Alex Deucher <alex@samba.(none)>
Date:   Thu Jan 17 15:08:17 2008 -0500

    RADEON: use radeon_output->Flags for tracking RMX rather than mode->Flags

commit 495e3119250ffb48489debbaabe560d23753cc43
Author: Alex Deucher <alex@samba.(none)>
Date:   Thu Jan 17 14:56:19 2008 -0500

    AVIVO: Add support for RMX
    
    Both centered and expansion modes are supported.  Select
    using output attributes.

commit 6bd510a211f25d52e74791e4a429cd2218ced541
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Jan 16 18:09:49 2008 -0500

    RADEON: add a message about render accel on newer cards

commit 85bf3439fe2579aec48f5cd8d65a9d51b1ae8535
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Jan 16 17:52:06 2008 -0500

    R300: only init3d on r3xx

commit dbb2ca471dfbff245b30c5055871dee0dc0e3d15
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Jan 16 17:10:02 2008 -0500

    R300: only enable render accel on non-IGP r3xx/r4xx chips for now

commit 3c72b100bcfacee600644669b586e86cfd32754e
Author: Alex Deucher <alex@samba.(none)>
Date:   Wed Jan 16 16:55:42 2008 -0500

    R300: First pass at render accel
    
    This first pass is pretty limited.  All it currently supports
    is transforms for rotation.  No blending yet.
    
    Based on inital implementation from Wolke Liu with
    additional lock-up fixes by Dave Airlie.

commit 2ba3562d2af911fdd90881049599e239d27260bc
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Jan 12 17:11:59 2008 +0200

    ati wrapper: xf86PciInfo.h is enough

commit c2caeb11a97dad5379d70881c5c0fd834a8c3d54
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Jan 12 16:18:34 2008 +0200

    ati wrapper: add DriverRec's and use them

commit 19e1b180fec6f83a474e125465bc60111c0f43e0
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Jan 12 16:18:07 2008 +0200

    mach64: load for both "ati" and "mach64" as driver names
    
    similar to r128/radeon

commit 92f54400d5450b29b3a76d5ecc927cf0d73e156e
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Jan 12 16:17:47 2008 +0200

    mach64: add version (need not match with ati)
    
    similar to r128/radeon

commit 311ec7b6c54a50a4b8a5a445f7283da2b0b2e0f5
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Jan 12 16:17:21 2008 +0200

    atimisc: rename to mach64

commit 5244e235262290eab8a3546f449295c12ed8f6c7
Author: Alex Deucher <alex@samba.(none)>
Date:   Mon Jan 14 16:11:09 2008 -0500

    ATOMBIOS: disable the scaler by default on avivo cards
    
    Fixes bug 14001

commit 729da30c80d6545b75c8faea44754634f477cc09
Merge: 000741e... 625a885...
Author: Alex Deucher <alex@samba.(none)>
Date:   Mon Jan 14 10:05:01 2008 -0500

    Merge branch 'master' of ssh://agd5f@git.freedesktop.org/git/xorg/driver/xf86-video-ati

commit 625a885a964488da2a35065eb597a17ee57b22a9
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Jan 9 17:39:56 2008 +0200

    ati wrapper: use pci ids

commit 48865200ca9f1daf87e52620b9f8175f88dd886f
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Jan 9 19:01:04 2008 +0200

    radeon: remove stray include

commit a5a6b873353611cb7e46e5e375f039957c7051a7
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Jan 9 13:03:32 2008 +0200

    radeon: remove stray _X_EXPORT

commit 80c9974b6cdc0147d777df6990b3f3aacd87969d
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Tue Jan 8 18:15:47 2008 +0200

    r128: pci-rework conversion
    
    compile-tested only

commit cd4b39403d74f314e1c2cfa4cf0e4fe542891dc3
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Sat Mar 10 23:12:15 2007 +0200

    Drop symbol lists from r128, radeon, theatre.
    
    compile-tested only

commit 63b4b8213fabc5a57f897b60b6eaa9f78d86e6ff
Author: George Sapountzis <gsap7@yahoo.gr>
Date:   Wed Mar 21 20:24:22 2007 +0200

    [mach64] Drop symbol lists.
    
    egrep LOADER\|SymLists\|Symbols src/*.[hc]
    
    not needed after server commit bca9364f3f4a2376edbcf57a34f704ce28be21ba, i.e.
    xserver 1.2
    
    compile-tested only

commit 000741e250e54122b0adc91694eb4bfa320a70fb
Author: Alex Deucher <alex@samba.(none)>
Date:   Thu Jan 10 14:49:48 2008 -0500

    RADEON: clean up output handling

commit 10e7636c02478b8ffe183bb0c46229ca0d6584e1
Author: Kristian Høgsberg <krh@bitplanet.net>
Date:   Wed Jan 9 12:47:39 2008 -0500

    RADEON: fix crtc routing on r4xx cards when using atom to init DVO chip

commit 3af671f5963810dbfd63abc9889b1d46b68f404c
Author: Alex Deucher <alex@botch2.(none)>
Date:   Wed Jan 9 11:30:25 2008 -0500

